!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

!   Module     :  s i c o g r a p h _ v a r i a b l e s

!   Purpose    :  Declarations of global variables for SICOGRAPH.

!++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

module sicograph_variables

integer maske_gr(0:IMAX,0:JMAX), n_cts_gr(0:IMAX,0:JMAX)
real time_gr, delta_ts_gr, z_sl_gr, &
     xi_gr(0:IMAX), eta_gr(0:JMAX), &
     z_c_gr(0:IMAX,0:JMAX,0:KCMAX), &
     z_t_gr(0:IMAX,0:JMAX,0:KTMAX), &
     z_r_gr(0:IMAX,0:JMAX,0:KRMAX), &
     zs_gr(0:IMAX,0:JMAX), zm_gr(0:IMAX,0:JMAX), &
     zb_gr(0:IMAX,0:JMAX), H_c_gr(0:IMAX,0:JMAX), &
     H_t_gr(0:IMAX,0:JMAX), H_R_gr, &
     zb0_gr(0:IMAX,0:JMAX), &
     vx_c_gr(0:IMAX,0:JMAX,0:KCMAX), &
     vy_c_gr(0:IMAX,0:JMAX,0:KCMAX), &
     vz_c_gr(0:IMAX,0:JMAX,0:KCMAX), &
     vx_t_gr(0:IMAX,0:JMAX,0:KTMAX), &
     vy_t_gr(0:IMAX,0:JMAX,0:KTMAX), &
     vz_t_gr(0:IMAX,0:JMAX,0:KTMAX), &
     v_s_gr(0:IMAX,0:JMAX), &
     temp_c_gr(0:IMAX,0:JMAX,0:KCMAX), &
     temph_c_gr(0:IMAX,0:JMAX,0:KCMAX), &
     age_c_gr(0:IMAX,0:JMAX,0:KCMAX), &
     omega_t_gr(0:IMAX,0:JMAX,0:KTMAX), &
     temp_t_gr(0:IMAX,0:JMAX,0:KTMAX), &
     age_t_gr(0:IMAX,0:JMAX,0:KTMAX), &
     temp_r_gr(0:IMAX,0:JMAX,0:KRMAX), &
     qx_gr(0:IMAX,0:JMAX), qy_gr(0:IMAX,0:JMAX), &
     Q_bm_gr(0:IMAX,0:JMAX), Q_tld_gr(0:IMAX,0:JMAX), &
     am_perp_gr(0:IMAX,0:JMAX), &
     precip_gr(0:IMAX,0:JMAX), precip_lgm_anom_gr(0:IMAX,0:JMAX), &
     temp_s_gr(0:IMAX,0:JMAX), temp_s_lgm_anom_gr(0:IMAX,0:JMAX), &
     qgeo_gr(0:IMAX,0:JMAX)

real time(1000001), D_Ts(1000001), z_sl(1000001), &
     H_max(1000001), zs_max(1000001), V_tot(1000001), V_temp(1000001), &
     V_fw(1000001), z_sle(1000001), &
     A_ib(1000001), A_tb(1000001), V_bm(1000001), V_tld(1000001), &
     H_t_max(1000001), vs_max(1000001), Tbh_max(1000001)

#if defined(HEINO)
real H_ave_sed(1000001), Tbh_ave_sed(1000001), Atb_sed(1000001)
#endif

#if defined(ANT)
real H_Vo(1000001), vs_Vo(1000001), Tb_Vo(1000001), Rb_Vo(1000001), &
     H_DA(1000001), vs_DA(1000001), Tb_DA(1000001), Rb_DA(1000001), &
     H_DC(1000001), vs_DC(1000001), Tb_DC(1000001), Rb_DC(1000001), &
     H_DF(1000001), vs_DF(1000001), Tb_DF(1000001), Rb_DF(1000001), &
     H_Ko(1000001), vs_Ko(1000001), Tb_Ko(1000001), Rb_Ko(1000001), &
     H_By(1000001), vs_By(1000001), Tb_By(1000001), Rb_By(1000001)
#elif defined(EMTP2SGE)
real H_P1(1000001), vs_P1(1000001), Tb_P1(1000001), Rb_P1(1000001), &
     H_P2(1000001), vs_P2(1000001), Tb_P2(1000001), Rb_P2(1000001)
#elif defined(GRL)
real H_GR(1000001), vs_GR(1000001), Tb_GR(1000001), Rb_GR(1000001), &
     H_G2(1000001), vs_G2(1000001), Tb_G2(1000001), Rb_G2(1000001), &
     H_D3(1000001), vs_D3(1000001), Tb_D3(1000001), Rb_D3(1000001), &
     H_CC(1000001), vs_CC(1000001), Tb_CC(1000001), Rb_CC(1000001), &
     H_NG(1000001), vs_NG(1000001), Tb_NG(1000001), Rb_NG(1000001)
#elif defined(HEINO)
real H_P1(1000001), vs_P1(1000001), Tb_P1(1000001), Rb_P1(1000001), &
     H_P2(1000001), vs_P2(1000001), Tb_P2(1000001), Rb_P2(1000001), &
     H_P3(1000001), vs_P3(1000001), Tb_P3(1000001), Rb_P3(1000001), &
     H_P4(1000001), vs_P4(1000001), Tb_P4(1000001), Rb_P4(1000001), &
     H_P5(1000001), vs_P5(1000001), Tb_P5(1000001), Rb_P5(1000001), &
     H_P6(1000001), vs_P6(1000001), Tb_P6(1000001), Rb_P6(1000001), &
     H_P7(1000001), vs_P7(1000001), Tb_P7(1000001), Rb_P7(1000001)
#elif defined(NMARS)
real H_NP(1000001), vs_NP(1000001), Tb_NP(1000001), Rb_NP(1000001), &
     H_C1(1000001), vs_C1(1000001), Tb_C1(1000001), Rb_C1(1000001), &
     H_C2(1000001), vs_C2(1000001), Tb_C2(1000001), Rb_C2(1000001)
#endif

real ea, zeta_c(0:KCMAX), eaz_c(0:KCMAX), &
     eaz_c_quotient(0:KCMAX), zeta_t(0:KTMAX)

end module sicograph_variables
